---
title: EXT_disjoint_timer_query.isQueryEXT()
slug: Web/API/EXT_disjoint_timer_query/isQueryEXT
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGL extension
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>EXT_disjoint_timer_query.isQueryEXT()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> returns <code>true</code> if the passed object is a {{domxref("WebGLTimerQueryEXT")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">GLBoolean <var>ext</var>.isQueryEXT(<var>query</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>query</code></dt>
 <dd>A {{domxref("WebGLTimerQueryEXT")}} object to test.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("GLboolean")}} indicating whether the given object is a {{domxref("WebGLTimerQueryEXT")}} object (<code>true</code>) or not (<code>false</code>).</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js notranslate">var ext = gl.getExtension('EXT_disjoint_timer_query');
var query = ext.createQueryEXT();

// ...

ext.isQueryEXT(query);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EXT_disjoint_timer_query', '', 'EXT_disjoint_timer_query')}}</td>
   <td>{{Spec2('EXT_disjoint_timer_query')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.EXT_disjoint_timer_query.isQueryEXT")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.getExtension()")}}</li>
 <li>{{domxref("WebGLTimerQueryEXT")}}</li>
 <li>{{domxref("EXT_disjoint_timer_query")}}</li>
</ul>
